/*
 * © 2013-2019 by Zappware. 
 * All Rights Reserved. No part of this application or any of its contents may be reproduced, 
 * copied, modified or adapted, without the prior written consent of Zappware.
 *
 * Website: http://www.zappware.com
 * E-Mail: info@zappware.com
 */
package com.zappware.graphlperftest.model;

import java.util.List;

/**
 * The second type.
 */
public class TypeTwo extends Ideable
{
	/** The first property. */
	private Integer propertyOne;
	/** The second property. */
	private String propertyTwo;
	/** The third property. */
	private String propertyThree;
	/** The fourth property. */
	private Integer propertyFour;
	/** The fifth property. */
	private String propertyFive;
	/** The sixth property. */
	private List<TypeThree> propertySix;
	/** The seventh property. */
	private List<TypeThree> propertySeven;
	
	/**
	 * @return
	 */
	public Integer getPropertyOne()
	{
		return propertyOne;
	}
	
	/**
	 * @param propertyOne
	 */
	public void setPropertyOne(Integer propertyOne)
	{
		this.propertyOne = propertyOne;
	}

	/**
	 * @return
	 */
	public String getPropertyTwo()
	{
		return propertyTwo;
	}
	
	/**
	 * @param propertyTwo
	 */
	public void setPropertyTwo(String propertyTwo)
	{
		this.propertyTwo = propertyTwo;
	}

	/**
	 * @return
	 */
	public String getPropertyThree()
	{
		return propertyThree;
	}
	
	/**
	 * @param propertyThree
	 */
	public void setPropertyThree(String propertyThree)
	{
		this.propertyThree = propertyThree;
	}

	/**
	 * @return
	 */
	public Integer getPropertyFour()
	{
		return propertyFour;
	}
	
	/**
	 * @param propertyFour
	 */
	public void setPropertyFour(Integer propertyFour)
	{
		this.propertyFour = propertyFour;
	}

	/**
	 * @return
	 */
	public String getPropertyFive()
	{
		return propertyFive;
	}
	
	/**
	 * @param propertyFive
	 */
	public void setPropertyFive(String propertyFive)
	{
		this.propertyFive = propertyFive;
	}

	/**
	 * @return
	 */
	public List<TypeThree> getPropertySix()
	{
		return propertySix;
	}
	
	/**
	 * @param propertySix
	 */
	public void setPropertySix(List<TypeThree> propertySix)
	{
		this.propertySix = propertySix;
	}

	/**
	 * @return
	 */
	public List<TypeThree> getPropertySeven()
	{
		return propertySeven;
	}
	
	/**
	 * @param propertySeven
	 */
	public void setPropertySeven(List<TypeThree> propertySeven)
	{
		this.propertySeven = propertySeven;
	}
}